Bug 1340262 - python-gofer depends on gofer, but does not declare the dependency
Summary: python-gofer depends on gofer, but does not declare the dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gofer
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jeff Ortel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 21:34 UTC by Randy Barlow
Modified: 2016-06-18 18:56 UTC (History)
5 users (show)

Fixed In Version: gofer-2.8.1-1.fc23 gofer-2.8.1-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-11 02:54:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2016-05-26 21:34:18 UTC
If a user installs pulp-server and then runs pulp-manage-db, it will fail:


$ sudo dnf install pulp-rpm-plugins pulp-docker-plugins pulp-ostree-plugins pulp-puppet-plugins pulp-python-plugins python-gofer-qpid

    $ sudo -u apache pulp-manage-db    
    Attempting to connect to localhost:27017
    Attempting to connect to localhost:27017
    Write concern for Mongo connection: {}
    Loading content types.
    Loading type descriptors []
    Parsing type descriptors
    Validating type descriptor syntactic integrity
    Validating type descriptor semantic integrity
    Loading unit model: python_package = pulp_python.plugins.models:Package
    Loading unit model: puppet_module = pulp_puppet.plugins.db.models:Module
    Loading unit model: erratum = pulp_rpm.plugins.db.models:Errata
    Loading unit model: yum_repo_metadata_file = pulp_rpm.plugins.db.models:YumMetadataFile
    Loading unit model: package_group = pulp_rpm.plugins.db.models:PackageGroup
    Loading unit model: package_category = pulp_rpm.plugins.db.models:PackageCategory
    Loading unit model: iso = pulp_rpm.plugins.db.models:ISO
    Loading unit model: package_environment = pulp_rpm.plugins.db.models:PackageEnvironment
    Loading unit model: drpm = pulp_rpm.plugins.db.models:DRPM
    Loading unit model: distribution = pulp_rpm.plugins.db.models:Distribution
    Loading unit model: rpm = pulp_rpm.plugins.db.models:RPM
    Loading unit model: srpm = pulp_rpm.plugins.db.models:SRPM
    Loading unit model: ostree = pulp_ostree.plugins.db.model:Branch
    Loading unit model: docker_blob = pulp_docker.plugins.models:Blob
    Loading unit model: docker_tag = pulp_docker.plugins.models:Tag
    Loading unit model: docker_image = pulp_docker.plugins.models:Image
    Loading unit model: docker_manifest = pulp_docker.plugins.models:Manifest
    Updating the database with types []
    Found the following type definitions that were not present in the update collection [puppet_module, ostree, erratum, python_package, docker_tag, distribution, package_group, docker_blob, package_category, iso, package_environment, drpm, srpm, rpm, yum_repo_metadata_file, docker_image, docker_manifest]
    Updating the database with types [puppet_module, ostree, erratum, python_package, docker_tag, srpm, package_group, docker_blob, package_category, iso, package_environment, drpm, distribution, rpm, yum_repo_metadata_file, docker_image, docker_manifest]
    Content types loaded.
    Ensuring the admin role and user are in place.
    No module named agent.rmi
    Traceback (most recent call last):
      File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 193, in main
        return _auto_manage_db(options)
      File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 233, in _auto_manage_db
        factory.initialize()
      File "/usr/lib/python2.7/site-packages/pulp/server/managers/factory.py", line 349, in initialize
        from pulp.server.managers.consumer.agent import AgentManager
      File "/usr/lib/python2.7/site-packages/pulp/server/managers/consumer/agent.py", line 18, in <module>
        from pulp.server.agent.context import Context
      File "/usr/lib/python2.7/site-packages/pulp/server/agent/context.py", line 18, in <module>
        from pulp.server.agent.direct.services import ReplyHandler
      File "/usr/lib/python2.7/site-packages/pulp/server/agent/direct/services.py", line 6, in <module>
        from gofer.rmi.async import ReplyConsumer, Listener
      File "/usr/lib/python2.7/site-packages/gofer/rmi/async.py", line 24, in <module>
        from gofer.rmi.dispatcher import Reply, Return, RemoteException
      File "/usr/lib/python2.7/site-packages/gofer/rmi/dispatcher.py", line 28, in <module>
        from gofer.rmi.model import ALL
      File "/usr/lib/python2.7/site-packages/gofer/rmi/model/__init__.py", line 20, in <module>
        from gofer.rmi.model import direct, fork
      File "/usr/lib/python2.7/site-packages/gofer/rmi/model/fork.py", line 16, in <module>
        from gofer.rmi.model import parent
      File "/usr/lib/python2.7/site-packages/gofer/rmi/model/parent.py", line 21, in <module>
        from gofer.agent.rmi import Context
    ImportError: No module named agent.rmi


This issue was also present in the upstream spec file, so I've filed an issue there as well: https://pulp.plan.io/issues/1951

Comment 1 Randy Barlow 2016-05-26 21:45:12 UTC
jortel and I discussed this in #pulp and he determined that this is a bug in gofer. I've got this version:

python-gofer-2.8.0-1.fc24.noarch

Comment 2 Jeff Ortel 2016-05-27 16:11:51 UTC
New feature in 2.8.0 has code in gofer.rmi referencing code in gofer.agent.  The referenced code needed to be moved to gofer.rmi.  The RPM packaging is correct. 

Fixed in gofer-2.8.1.

Comment 3 Fedora Update System 2016-05-27 16:27:39 UTC
gofer-2.8.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84697a9973

Comment 4 Fedora Update System 2016-05-27 16:27:46 UTC
gofer-2.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d814a5dcc

Comment 5 Fedora Update System 2016-05-28 03:24:01 UTC
gofer-2.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d814a5dcc

Comment 6 Fedora Update System 2016-05-28 03:25:23 UTC
gofer-2.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84697a9973

Comment 7 Fedora Update System 2016-06-11 02:54:12 UTC
gofer-2.8.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-18 18:56:01 UTC
gofer-2.8.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.